javax.faces.component.html

## Enum HtmlDataTable.PropertyKeys

- java.lang.Object
- - java.lang.Enum<HtmlDataTable.PropertyKeys>
  - - javax.faces.component.html.HtmlDataTable.PropertyKeys

- All Implemented Interfaces:
    Serializable, Comparable<HtmlDataTable.PropertyKeys>
  Enclosing class:
    HtmlDataTable

      protected static enum HtmlDataTable.PropertyKeys
      extends Enum<HtmlDataTable.PropertyKeys>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `bgcolor`
    `bodyrows`
    `border`
    `captionClass`
    `captionStyle`
    `cellpadding`
    `cellspacing`
    `columnClasses`
    `dir`
    `footerClass`
    `frame`
    `headerClass`
    `lang`
    `onclick`
    `ondblclick`
    `onkeydown`
    `onkeypress`
    `onkeyup`
    `onmousedown`
    `onmousemove`
    `onmouseout`
    `onmouseover`
    `onmouseup`
    `role`
    `rowClasses`
    `rules`
    `style`
    `styleClass`
    `summary`
    `title`
    `width`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `toString()`
    `static HtmlDataTable.PropertyKeys` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static HtmlDataTable.PropertyKeys[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### bgcolor

          public static final HtmlDataTable.PropertyKeys bgcolor

    - #### bodyrows

          public static final HtmlDataTable.PropertyKeys bodyrows

    - #### border

          public static final HtmlDataTable.PropertyKeys border

    - #### captionClass

          public static final HtmlDataTable.PropertyKeys captionClass

    - #### captionStyle

          public static final HtmlDataTable.PropertyKeys captionStyle

    - #### cellpadding

          public static final HtmlDataTable.PropertyKeys cellpadding

    - #### cellspacing

          public static final HtmlDataTable.PropertyKeys cellspacing

    - #### columnClasses

          public static final HtmlDataTable.PropertyKeys columnClasses

    - #### dir

          public static final HtmlDataTable.PropertyKeys dir

    - #### footerClass

          public static final HtmlDataTable.PropertyKeys footerClass

    - #### frame

          public static final HtmlDataTable.PropertyKeys frame

    - #### headerClass

          public static final HtmlDataTable.PropertyKeys headerClass

    - #### lang

          public static final HtmlDataTable.PropertyKeys lang

    - #### onclick

          public static final HtmlDataTable.PropertyKeys onclick

    - #### ondblclick

          public static final HtmlDataTable.PropertyKeys ondblclick

    - #### onkeydown

          public static final HtmlDataTable.PropertyKeys onkeydown

    - #### onkeypress

          public static final HtmlDataTable.PropertyKeys onkeypress

    - #### onkeyup

          public static final HtmlDataTable.PropertyKeys onkeyup

    - #### onmousedown

          public static final HtmlDataTable.PropertyKeys onmousedown

    - #### onmousemove

          public static final HtmlDataTable.PropertyKeys onmousemove

    - #### onmouseout

          public static final HtmlDataTable.PropertyKeys onmouseout

    - #### onmouseover

          public static final HtmlDataTable.PropertyKeys onmouseover

    - #### onmouseup

          public static final HtmlDataTable.PropertyKeys onmouseup

    - #### role

          public static final HtmlDataTable.PropertyKeys role

    - #### rowClasses

          public static final HtmlDataTable.PropertyKeys rowClasses

    - #### rules

          public static final HtmlDataTable.PropertyKeys rules

    - #### style

          public static final HtmlDataTable.PropertyKeys style

    - #### styleClass

          public static final HtmlDataTable.PropertyKeys styleClass

    - #### summary

          public static final HtmlDataTable.PropertyKeys summary

    - #### title

          public static final HtmlDataTable.PropertyKeys title

    - #### width

          public static final HtmlDataTable.PropertyKeys width

  - ### Method Detail

    - #### values

          public static HtmlDataTable.PropertyKeys[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (HtmlDataTable.PropertyKeys c : HtmlDataTable.PropertyKeys.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static HtmlDataTable.PropertyKeys valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<HtmlDataTable.PropertyKeys>`

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.